<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".view.fragment.ExceptionReportFragment">

    <com.grkj.iscs_mc.view.widget.TitleBar
        android:id="@+id/tb"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:bar_icon="@mipmap/exception"
        app:bar_title="@string/exception_report" />

    <com.grkj.iscs_mc.view.widget.CommonBtn
        android:id="@+id/cb_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        app:btn_bg="@drawable/common_btn_blue_bg"
        app:btn_name="@string/back" />

    <com.grkj.iscs_mc.view.widget.CommonBtn
        android:id="@+id/cb_open"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginRight="@dimen/common_spacing"
        android:layout_toLeftOf="@id/cb_back"
        app:btn_bg="@drawable/common_btn_red_bg"
        app:btn_name="@string/submit" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/cb_back"
        android:layout_below="@id/tb"
        android:layout_marginVertical="@dimen/common_spacing"
        android:background="@drawable/item_rv_technology_sop_bg_normal"
        android:orientation="vertical"
        android:padding="@dimen/common_spacing">

        <com.grkj.iscs_mc.view.widget.SelectableInput
            android:id="@+id/ci_type"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/common_spacing"
            app:edit_width="200dp"
            app:edittext_hint="@string/exception_report_type_hint"
            app:mode="select"
            app:name="@string/exception_report_type"
            app:required="true"
            app:text_size="@dimen/common_text_size" />

        <com.grkj.iscs_mc.view.widget.SelectableInput
            android:id="@+id/ci_level"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/common_spacing"
            app:edit_width="200dp"
            app:edittext_hint="@string/exception_report_level_hint"
            app:mode="select"
            app:name="@string/exception_report_level"
            app:required="true"
            app:text_size="@dimen/common_text_size" />

        <com.grkj.iscs_mc.view.widget.SelectableInput
            android:id="@+id/ci_description"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/common_spacing"
            app:edit_height="200dp"
            app:mode="input"
            app:name="@string/exception_report_description"
            app:required="false"
            app:text_size="@dimen/common_text_size" />
    </LinearLayout>
</RelativeLayout>